import React from 'react';
import Paper from 'material-ui/Paper';
import Button from 'material-ui/Button';
import TextField from 'material-ui/TextField';

class TimeFilter extends React.Component {

  constructor(props) {
    super(props);

    this.time = {
      timeFrom: '1900-01-01T00:00:00Z',
      timeTo: 'NOW'
    }
  }

  handletimeFrom(e) {
    this.time.timeFrom = e.target.value + '-01T00:00:00Z';
  }

  handletimeTo(e) {
    this.time.timeTo = e.target.value + '-01T00:00:00Z';
  }

  handleApply() {
    this.props.onChange(this.time.timeFrom, this.time.timeTo);
  }

  render() {
    return (<Paper elevation={1}>
      <div className="filter">
        <div className="filter-head">{this.props.title}</div>
        <div id="pubYear" className="filter-content">
          <form className = "pub-start" noValidate>
            <TextField
              id = "date"
              label = "From"
              type = "month"
              defaultValue = "2018-01"
              className = "textField"
              InputLabelProps = {{
                shrink: true,
              }}
              onChange = {this.handletimeFrom.bind(this)}
            />
          </form>
          <form className = "pub-end" noValidate>
            <TextField
              id = "date"
              label = "To"
              type = "month"
              defaultValue = "2018-01"
              className = "textField"
              InputLabelProps = {{
                shrink: true,
              }}
              onChange = {this.handletimeTo.bind(this)}
            />
          </form>
          <Button
            raised={true}
            color = "primary"
            className = "time-filter-button"
            onClick = {this.handleApply.bind(this)}>
              Apply
            </Button>
          </div>
        </div>
      </Paper>);
  }
}

export default TimeFilter;

// vi: ft=javascript.jsx
