# Search Platform based on Solr

## Ziele

Wir wollen eine Web App bauen, die eine intuitive semantische Suche für komplexe (wissenschaftliche) Daten gegen die Apache Solr Suchplatform ermöglicht.

## Features

Basic Website:

  - Suchfeld
  - Ergebnisliste
  - Kategorien / Filter

Features:
  - Statistics
  - Learning to Rank (Machine Learning)
      - [Learning to Rank in Solr](https://www.youtube.com/watch?v=M7BKwJoh96s)
      - [Solr Guide - Learning to Rank](https://lucene.apache.org/solr/guide/7_1/learning-to-rank.html)
  - Intuitives durchsuchen von Feldern
    - project_name
    - entry_type

Langzeitziele:
  - Tags und Kategorien vereinheitlichen (cleanup) [Language Detection](https://lucene.apache.org/solr/guide/6_6/detecting-languages-during-indexing.html)
  - Intelligente Filter
  - Stemming der Suchbegriffe [Artikel](http://thinknook.com/keyword-stemming-and-lemmatisation-with-apache-solr-2013-08-02/)  (node plugins: snowball, [natural](https://github.com/NaturalNode/natural))
  - Suche nach [Synonym](https://github.com/healthonnet/hon-lucene-synonyms)
  - Result Clustering mit [Carrot2](https://lucene.apache.org/solr/guide/7_1/result-clustering.html)

## Vorgehen

...

### Tech Stack

- Backend - brauchen wir wirklich einen Backend?
  - NodeJS
- Frontend:
  - ReactJS
- Apache Solr 7.1.0

## Offene Fragen

- Welche Daten nutzen wir?

## Nutzliche Links

- [Solr Extension Directory](http://solr.cool)

## TODO

- Optimierung des Durchsuchens bestimmer Feldern
  - Feld:Begriff
  - Auswahl der Felder (Liste aller Felder)


## Documentation

[PDB Projektbericht](https://studiumunihamburgde-my.sharepoint.com/:w:/g/personal/eike_knopp_studium_uni-hamburg_de/EY_rJ6pjwOdPnrdytzLiaLoBOHEYF5qX_4_LM_xzMfhA3A?e=ysfJyq)

[Präsentation](https://studiumunihamburgde-my.sharepoint.com/:p:/g/personal/eike_knopp_studium_uni-hamburg_de/EQTlappRJupHmAqMm7D8C6MB_ae9IKF6RZo0oL2ygiopTw?e=8Vkbzj)

## Common Solr commands

```
./bin/solr start
./bin/solr create -c <core-name>
./bin/solr delete -c <core-name>
```
